summaryrefslogtreecommitdiff
path: root/tests/spencer1-locale
diff options
context:
space:
mode:
authorPaolo Bonzini <bonzini@gnu.org>2010-03-14 11:40:24 +0100
committerPaolo Bonzini <bonzini@gnu.org>2010-03-15 10:59:23 +0100
commit459663d87b9dc0af768857ae1c01e6156c58c2e2 (patch)
treee3346f2d520badb42667e7d2a6aba67f3e89b16e /tests/spencer1-locale
parent51b351e67bb0eb24fd19ac75f6037408ceb24f58 (diff)
downloadgrep-459663d87b9dc0af768857ae1c01e6156c58c2e2.tar.gz
tests: add more UTF-8 test cases
* tests/Makefile.am (TESTS): Add spencer1-locale. (EXTRA_DIST): Add spencer1-locale.awk. * tests/spencer1-locale.awk: New. * tests/spencer1-locale: New.
Diffstat (limited to 'tests/spencer1-locale')
-rwxr-xr-xtests/spencer1-locale24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/spencer1-locale b/tests/spencer1-locale
new file mode 100755
index 00000000..f0b20115
--- /dev/null
+++ b/tests/spencer1-locale
@@ -0,0 +1,24 @@
+#! /bin/sh
+# Regression test for GNU grep.
+#
+# Copyright (C) 1988 Henry Spencer.
+# Copyright (C) 2009-2010 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+fail=0
+
+# . . . and the following by Henry Spencer.
+
+${AWK-awk} -vextra_locale=$LOCALE_FR_UTF8 \
+ -f "$abs_srcdir/spencer1-locale.awk" "$abs_srcdir/spencer1.tests" \
+ > spencer1-locale.script || fail=1
+
+sh spencer1-locale.script || fail=1
+
+Exit $fail